.popular {
    margin-top: 76px;

    &__top {
        font-family: 'Comfortaa';
        font-size: 20px;
        font-weight: 700;
        color: black;
        text-transform: uppercase;
    }

    &__head {
        padding-bottom: 3px;
    }

    &__categories {
        margin-top: 26px;
        display: grid;
        width: 100%;
        height: 410px;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(2, 1fr);
        grid-column-gap: 30px;
        grid-row-gap: 30px;

        &--name {
            position: absolute;
            z-index: 2;
            font-family: 'Comfortaa-400';
            font-weight: 400;
            color: white;
            font-size: 15px;
            padding: 10px;
            margin: 30px;
            border-radius: 10px;
            max-width: 172px;
        }

        &--carriage {
            background-color: #54AD33;
        }

        &--crib {
            background-color: #DB8300;
        }
        
        &--toilet {
            background-color: #1FC0BB;
        }
        
        &--bed {
            background-color: #3868B3;
        }
        
        &--puzzle {
            background-color: #A43A3A;
        }
        
        &--bath {
            background-color: #7834AD;
        }
    }

    &__carriages {
        grid-area: 1 / 1 / 3 / 2;
        background-color: #6AD245;
        position: relative;
    }

    &__crib {
        grid-area: 1 / 2 / 2 / 3;
        background-color: #EF9F42;
        position: relative;
    }

    &__toilet {
        grid-area: 2 / 2 / 3 / 3;
        background-color: #2DEAE4;
        position: relative;
    }

    &__bed {
        grid-area: 1 / 3 / 3 / 4;
        background-color: #4F8AE2;
        position: relative;
    }

    &__puzzle {
        grid-area: 1 / 4 / 2 / 5;
        background-color: #D84545;
        position: relative;
    }

    &__bath {
        grid-area: 2 / 4 / 3 / 5;
        background-color: #A24FE2;
        position: relative;
    }
    
    &__item {
        display: flex;
        align-items: flex-end;
        border-radius: 20px;
        height: 100%;
        cursor: pointer;

        &--img {
            border-top-right-radius: 20px;
            border-bottom-right-radius: 20px;
        }

        &--carriage {
            position: absolute;
            top: 0;
            right: 0;
            max-width: 335px;
            height: 80%;
        }
        
        &--crib {
            position: absolute;
            right: 0;
        }

        &--toilet {
            position: absolute;
            right: 0;
        }

        &--bed {
            position: absolute;
            right: 0;
            top: 0;
        }

        &--puzzle {
            position: absolute;
            right: 0;
        }

        &--bath {
            position: absolute;
            right: 0;
        }
    }
    
    &__circle {
        position: relative;
        clip-path: circle(50.2% at 78% 31%);
        border-top-right-radius: 20px;
        border-bottom-right-radius: 20px;
        width: 100%;
        height: 100%;

        &--carriage {
            background-color: #54AD33;
        }
    }
}

.popular__circle {
    &--crib {
        background-color: #DB8300;
    }
    
    &--bed {
        background-color: #3868B3;
    }
    
    &--toilet {
        background-color: #1FC0BB;
    }
    
    
    &--puzzle {
        background-color: #A43A3A;
    }
    
    &--bath {
        background-color: #7834AD;
    }
}



